Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_CosEC_ProxyPushConsumer_i Class Reference

TAO_Notify_CosEC_ProxyPushConsumer_i. More...

`#include <Notify_ProxyPushConsumer_i.h>`

Inheritance diagram for TAO_Notify_CosEC_ProxyPushConsumer_i:

[legend]
Collaboration diagram for TAO_Notify_CosEC_ProxyPushConsumer_i:

[legend]
List of all members.

## Public Methods
| TAO_Notify_CosEC_ProxyPushConsumer_i (TAO_Notify_SupplierAdmin_i *supplieradmi)
| Constructor. More...
virtual | ~TAO_Notify_CosEC_ProxyPushConsumer_i (void)
| Destructor. More...
void | init (ACE_ENV_SINGLE_ARG_DECL)
| init. More...
virtual void | push (const CORBA::Any &data ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
| Suppliers call this method to pass data to connected consumers. More...
virtual void | disconnect_push_consumer (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
| Disconnects the supplier from the event communication. More...
virtual void | connect_push_supplier (CosEventComm::PushSupplier_ptr push_supplier ACE_ENV_ARG_DECL) throw (CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected)
| Connects a push supplier. More...
## Protected Attributes
TAO_Notify_ProxyPushConsumer_i | notify_proxy_
| Proxy to delegate to. More...

## Detailed Description

TAO_Notify_CosEC_ProxyPushConsumer_i.

CosEventChannelAdmin::ProxyPushConsumer wrapper implementation. Delegates to TAO_Notify_ProxyPushConsumer_i.

## Constructor & Destructor Documentation

TAO_Notify_CosEC_ProxyPushConsumer_i::TAO_Notify_CosEC_ProxyPushConsumer_i | ( | TAO_Notify_SupplierAdmin_i * | supplieradmin | ) |

| Constructor.

TAO_Notify_CosEC_ProxyPushConsumer_i::~TAO_Notify_CosEC_ProxyPushConsumer_i | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void TAO_Notify_CosEC_ProxyPushConsumer_i::connect_push_supplier | ( | CosEventComm::PushSupplier_ptr push_supplier | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, CosEventChannelAdmin::AlreadyConnected)`[virtual]`

| Connects a push supplier.

void TAO_Notify_CosEC_ProxyPushConsumer_i::disconnect_push_consumer | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

| Disconnects the supplier from the event communication.

void TAO_Notify_CosEC_ProxyPushConsumer_i::init | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) |

| init.

void TAO_Notify_CosEC_ProxyPushConsumer_i::push | ( | const CORBA::Any &data | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException)`[virtual]`

| Suppliers call this method to pass data to connected consumers.

## Member Data Documentation

TAO_Notify_ProxyPushConsumer_i TAO_Notify_CosEC_ProxyPushConsumer_i::notify_proxy_`[protected]`

| Proxy to delegate to.

The documentation for this class was generated from the following files:

- Notify_ProxyPushConsumer_i.h
- Notify_ProxyPushConsumer_i.cpp